Loading...
Searching...
No Matches
juce::LinkedListPointer< ObjectType >::Appender Class Reference

`#include <juce_LinkedListPointer.h>`

## Public Member Functions

| Appender (LinkedListPointer &endOfListPointer) noexcept
void | append (ObjectType *const newItem) noexcept

## Detailed Description

template<class ObjectType>
class juce::LinkedListPointer< ObjectType >::Appender

Allows efficient repeated insertions into a list.

You can create an Appender object which points to the last element in your list, and then repeatedly call Appender::append() to add items to the end of the list in O(1) time.

Definition at line 338 of file juce_LinkedListPointer.h.

## Constructor & Destructor Documentation

## Appender()

template<class ObjectType>

juce::LinkedListPointer< ObjectType >::Appender::Appender | ( | LinkedListPointer & | endOfListPointer | ) |

inline noexcept

Creates an appender which will add items to the given list.

Definition at line 343 of file juce_LinkedListPointer.h.

## Member Function Documentation

## append()

template<class ObjectType>

void juce::LinkedListPointer< ObjectType >::Appender::append | ( | ObjectType *const | newItem | ) |

inline noexcept

Appends an item to the list.

Definition at line 351 of file juce_LinkedListPointer.h.

The documentation for this class was generated from the following file:

- juce_LinkedListPointer.h